---
name: Israel Weeks
start_date: 2019-06-24
placeholder: true
locality: Anywhere
country: Remote
role: <a href="/job-families/finance/data-analyst/">Senior Data Analyst</a>
reports_to: rparker
picture: israelweeks.jpg
twitter: israelmweeks
gitlab: iweeks
departments:
- Finance
- Business Operations
- Data
story: 'Israel is an energetic, data analytics professional who loves to execute the
  data analysis process from soup to nuts. He has a strong background in finance having
  served in the banking industry. Israel is passionate about providing excellent service
  to his teammates and clients. In his free time, he enjoys training kickboxing and
  jiu-jitsu, serving as a youth counselor, and traveling the world having adventures.

'
